/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package coalition;

import classesUnion.ClassesUnion;
import java.util.Map;

/**
 *
 * @author Mateusz Ledzianowski
 */
public class MaximumInsufficientCoalitions extends InsufficientCoalitions {

    /**
     * Basic constructor of the maximum insufficient coalitions
     *
     * @param aopcu
     * @param aoncu
     */
    public MaximumInsufficientCoalitions(
            ClassesUnion aopcu,
            ClassesUnion aoncu) {
        super(aopcu, aoncu);
        calculateMaximumCoalitions();
    }

    /**
     * Basic constructor of the maximum insufficient coalitions
     *
     * @param approxOfPositiveClassesUnions
     * @param approxOfNegativeClassesUnions
     */
    public MaximumInsufficientCoalitions(
            Map<String, ClassesUnion> approxOfPositiveClassesUnions,
            Map<String, ClassesUnion> approxOfNegativeClassesUnions) {
        super(approxOfPositiveClassesUnions,
                approxOfNegativeClassesUnions);
        calculateMaximumCoalitions();
    }

    /**
     * Basic constructor of the maximum insufficient coalitions
     *
     * @param ic
     */
    public MaximumInsufficientCoalitions(
            InsufficientCoalitions ic) {
        super(ic);
        calculateMaximumCoalitions();
    }
}
