/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package dbrsaaorc;

import data.Attribute;
import data.AttributeType;
import data.Example;
import java.util.ArrayList;
import java.util.List;
import org.junit.After;
import org.junit.AfterClass;
import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 * @author Mateusz Ledzianowski
 */
public class AttributeAndExamplesTest {

    protected final List<Attribute> attributes;
    protected final List<Example> examples;
    protected final Attribute continuousAttribute;
    protected final Attribute numbercodedAttribute;
    protected final Attribute orderedlistAttribute;
    protected final Attribute unorderedlistAttribute;
    protected final Attribute omitInstance;
    protected final Attribute decisionAttribute;
    
    public AttributeAndExamplesTest() {
        List<String> values = new ArrayList<>();
        values.add("v1");
        values.add("v2");
        values.add("v3");
        values.add("v4");
        List<String> decisionValues = new ArrayList<>();
        decisionValues.add("A");
        decisionValues.add("B");
        decisionValues.add("C");
        attributes = new ArrayList<>();
        omitInstance = new Attribute("omi", AttributeType.OMIT);
        attributes.add(omitInstance);
        continuousAttribute = new Attribute("con", AttributeType.CONTINUOUS);
        attributes.add(continuousAttribute);
        numbercodedAttribute = new Attribute("num", AttributeType.NUMBERCODED);
        attributes.add(numbercodedAttribute);
        orderedlistAttribute = new Attribute("ord", AttributeType.ORDEREDLIST, values);
        attributes.add(orderedlistAttribute);
        unorderedlistAttribute = new Attribute("uno", AttributeType.UNORDEREDLIST, values);
        attributes.add(unorderedlistAttribute);
        decisionAttribute = new Attribute("dec", AttributeType.UNORDEREDLIST, true, decisionValues);
        attributes.add(decisionAttribute);
        examples = new ArrayList<>();
        examples.add(new Example(attributes, "A,4.7,5,v3,v2,C"));
        examples.add(new Example(attributes, "B,4.2,3,v4,v1,B"));
        examples.add(new Example(attributes, "C,2.7,3,v3,v1,A"));
        examples.add(new Example(attributes, "D,5.2,6,v4,v3,B"));
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of calculateDominanceCone method, of class PositiveDominanceCone.
     */
    @Test
    public void test() {
        assertTrue(true);
    }
}
